Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1821003 - Enable cloudproviders
Summary: Enable cloudproviders
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud-client
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-05 11:38 UTC by taaem
Modified: 2020-04-22 23:23 UTC (History)
7 users (show)

Fixed In Version: nextcloud-client-2.6.4-2.fc32 nextcloud-client-2.6.4-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-09 14:44:17 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Patch to enable cloudproviders for the RPM (1.10 KB, application/mbox)
2020-04-05 11:38 UTC, taaem
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1821002 0 unspecified CLOSED Enable cloudproviders 2022-05-16 11:32:56 UTC

Description taaem 2020-04-05 11:38:35 UTC
Created attachment 1676379 [details]
Patch to enable cloudproviders for the RPM

The nextcloud client is able to integrate with the Gnome desktop since 2.5.0 via the libcloudproviders library. 
The attached patch enables that support, so users can use Nextcloud without needing to install AppIndicator support via an extension.

This patch depends on the linked gtk patch to enable cloudproviders support in gtk.

Comment 1 Fedora Update System 2020-04-05 22:34:20 UTC
FEDORA-2020-670322dcc2 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-670322dcc2

Comment 2 Fedora Update System 2020-04-05 22:34:21 UTC
FEDORA-2020-c3bec82720 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c3bec82720

Comment 3 Fedora Update System 2020-04-06 08:45:31 UTC
FEDORA-2020-c3bec82720 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-c3bec82720`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c3bec82720

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-04-06 09:30:52 UTC
FEDORA-2020-670322dcc2 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-670322dcc2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-670322dcc2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-04-09 14:44:17 UTC
FEDORA-2020-c3bec82720 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Germano Massullo 2020-04-09 14:57:00 UTC
Tim thank you for your contribution

Comment 7 taaem 2020-04-10 15:38:21 UTC
Thanks for merging it this fast!

Comment 8 Fedora Update System 2020-04-13 18:32:20 UTC
FEDORA-2020-667060b408 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-667060b408`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-667060b408

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-22 23:23:39 UTC
FEDORA-2020-667060b408 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.